List lead lists
GET
/lists
const url = 'https://app.whatsetter.com/api/v1/lists';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.whatsetter.com/api/v1/lists \ --header 'Authorization: Bearer <token>'Requires scope lists:read.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The workspace’s lists
Media typeapplication/json
object
data
Array<object>
object
id
string
name
string | null
status
string | null
total_rows
integer
valid_leads
integer
invalid_leads
integer
created_at
string format: date-time
Examplegenerated
{ "data": [ { "id": "example", "name": "example", "status": "example", "total_rows": 1, "valid_leads": 1, "invalid_leads": 1, "created_at": "2026-04-15T12:00:00Z" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
